import static java.lang.Math.random;

/**
 * This class demonstrates the functionality of the MaxHeap and MaxHeapWords classes.
 *
 * @author Michael Dube
 * @version 1.0
 * @since 2019-11-01
 */
class Main {

    private static final int NUM_VALUES = 10;
    private static final int MAX_VALUE = 25;

    private Main() {

        int[] values = new int[NUM_VALUES];
        for (int i = 0; i < values.length; i++) {
            values[i] = (int) (random() * MAX_VALUE); // [0, MAX_VALUE)
        }
        new MaxHeap(values);
        new MaxHeapWords(NUM_VALUES);

    } // constructor

    public static void main(String[] args) {
        new Main();
    } // main

} // Main
